Skip to main content
GET
Error

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Path Parameters

username
string
required
Required string length: 1 - 50

Response

Default Response

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
proposalsCount
integer
required
Required range: 0 <= x <= 9007199254740991
marketsCreatedCount
integer
required
Required range: 0 <= x <= 9007199254740991
activeMarketsCount
integer
required
Required range: 0 <= x <= 9007199254740991
totalVolume
string
required

Lifetime trading volume (collateral base units string).

tradesCount
integer
required
Required range: 0 <= x <= 9007199254740991
winsCount
integer
required
Required range: 0 <= x <= 9007199254740991
lossesCount
integer
required
Required range: 0 <= x <= 9007199254740991
winRatio
number | null
required

wins / (wins + losses) in [0, 1].

lastWeekVolume
string
required
lastMonthVolume
string
required
lastTradeAt
string | null
required

ISO-8601.

totalWon
string | null
required
totalLost
string | null
required
refererAddress
string | null
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
createdAt
string | null
required
username
string | null
required
avatarUrl
string | null
required
bio
string | null
required
profilePublic
boolean
required
updatedAt
string | null
required
Last modified on July 29, 2026